Package fr.gouv.vitam.common.database.builder.query

# Class CompareQuery

java.lang.Object
fr.gouv.vitam.common.database.builder.query.Query
fr.gouv.vitam.common.database.builder.query.CompareQuery

Direct Known Subclasses:
  `CompareQuery`

public class CompareQuery extends Query
Compare Query

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.database.builder.query.Query

  `currentObject, currentQuery, currentTokenQUERY, DATE, exactdepth, extraInfo, isFullText, ready, relativedepth`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `CompareQuery()`
  ``
  `CompareQuery(BuilderToken.QUERY compareQuery, String variableName, boolean value)`
  Compare Query constructor
  ``
  `CompareQuery(BuilderToken.QUERY compareQuery, String variableName, double value)`
  Compare Query constructor
  ``
  `CompareQuery(BuilderToken.QUERY compareQuery, String variableName, long value)`
  Compare Query constructor
  ``
  `CompareQuery(BuilderToken.QUERY compareQuery, String variableName, String value)`
  Compare Query constructor
  ``
  `CompareQuery(BuilderToken.QUERY compareQuery, String variableName, Date value)`
  Compare Query constructor

- ## Method Summary

  ### Methods inherited from class fr.gouv.vitam.common.database.builder.query.Query

  `clean, cleanDepth, createQueryArray, createQueryVariable, createQueryVariableValue, createQueryVariableValue, createQueryVariableValue, createQueryVariableValue, createQueryVariableValue, createQueryVariableValue, getCurrentObject, getCurrentQuery, getExtraInfo, getNode, getParserExactdepth, getParserRelativeDepth, getQUERY, isFullText, isReady, setDepthLimit, setExactDepthLimit, setExtraInfo, setFullText, setParserExactdepth, setParserRelativeDepth, setReady, setRelativeDepthLimit, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CompareQuery

    protected CompareQuery()

  - ### CompareQuery

    public CompareQuery(BuilderToken.QUERY compareQuery, String variableName, long value) throws InvalidCreateOperationException
    Compare Query constructor
    Parameters:
      `compareQuery` - lt, gt, lte, gte, eq, ne, size
      `variableName` - of query
      `value` - of variable
    Throws:
      `InvalidCreateOperationException` - when not a compare query

  - ### CompareQuery

    public CompareQuery(BuilderToken.QUERY compareQuery, String variableName, double value) throws InvalidCreateOperationException
    Compare Query constructor
    Parameters:
      `compareQuery` - lt, gt, lte, gte, eq, ne
      `variableName` - of query
      `value` - of variable
    Throws:
      `InvalidCreateOperationException` - when not a compare query

  - ### CompareQuery

    public CompareQuery(BuilderToken.QUERY compareQuery, String variableName, String value) throws InvalidCreateOperationException
    Compare Query constructor
    Parameters:
      `compareQuery` - lt, gt, lte, gte, eq, ne
      `variableName` - of query
      `value` - of variable
    Throws:
      `InvalidCreateOperationException` - when not a compare query

  - ### CompareQuery

    public CompareQuery(BuilderToken.QUERY compareQuery, String variableName, Date value) throws InvalidCreateOperationException
    Compare Query constructor
    Parameters:
      `compareQuery` - lt, gt, lte, gte, eq, ne
      `variableName` - of query
      `value` - of variable
    Throws:
      `InvalidCreateOperationException` - when not a compare query

  - ### CompareQuery

    public CompareQuery(BuilderToken.QUERY compareQuery, String variableName, boolean value) throws InvalidCreateOperationException
    Compare Query constructor
    Parameters:
      `compareQuery` - lt, gt, lte, gte, eq, ne
      `variableName` - of query
      `value` - of variable
    Throws:
      `InvalidCreateOperationException` - when not a compare query